1. Product
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • πŸ” API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
        GET
      • Get Product List
        GET
      • Add Product
        POST
      • Get Product Detail
        GET
      • Update Product Detail
        PATCH
      • Get Product Detail by SKU
        GET
      • Update Product Detail by SKU
        PATCH
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
      • Get Catalogue Detail
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
      • Add Shipment
      • Update Document Shipment
      • Update Shipment Status
      • Get Shipment Detail
    • Order Dropship
    • Pickup Address
      • Get Pickup List
      • Get WMS Pickup Map
    • Shop
      • Get Shop List
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Product

Add Product

POST
/api/v2/public/product/add

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Examples

Responses

🟒200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.omisell.com/api/v2/public/product/add' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Unisex cotton T-shirt",
    "sku": "AT-COTTON-001",
    "esku": "ERP-1001",
    "barcode": "8938505974194",
    "description": "100% cotton T-shirt, relaxed fit.",
    "currency": "VND",
    "sale_price": 199000,
    "declared_value": 250000,
    "weight": 200,
    "unit_name": "Piece",
    "images": [
        "https://cdn.omisell.com/example/ao-thun-do.jpg",
        "https://cdn.omisell.com/example/ao-thun-xanh.jpg"
    ],
    "attributes": [
        {
            "name": "Color",
            "values": [
                "Red",
                "Blue"
            ]
        },
        {
            "name": "Size",
            "values": [
                "M",
                "L"
            ]
        }
    ],
    "variants": [
        {
            "sku": "AT-COTTON-001-DO-M",
            "esku": "ERP-1001",
            "name": "Unisex cotton T-shirt - Red / M",
            "barcode": "8938505974200",
            "sale_price": 199000,
            "weight": 200,
            "options": [
                {
                    "name": "Color",
                    "value": "Red"
                },
                {
                    "name": "Size",
                    "value": "M"
                }
            ]
        },
        {
            "sku": "AT-COTTON-001-DO-L",
            "esku": "ERP-1001",
            "name": "Unisex cotton T-shirt - Red / L",
            "barcode": "8938505974217",
            "sale_price": 199000,
            "weight": 210,
            "options": [
                {
                    "name": "Color",
                    "value": "Red"
                },
                {
                    "name": "Size",
                    "value": "L"
                }
            ]
        },
        {
            "sku": "AT-COTTON-001-XANH-M",
            "esku": "ERP-1001",
            "name": "Unisex cotton T-shirt - Blue / M",
            "barcode": "8938505974224",
            "sale_price": 199000,
            "weight": 200,
            "options": [
                {
                    "name": "Color",
                    "value": "Blue"
                },
                {
                    "name": "Size",
                    "value": "M"
                }
            ]
        }
    ]
}'
Response Response Example
{
    "data": {
        "attributes": [],
        "avatar": "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/aa23d0f438e10ffbe14c7a31fc058cf5.png",
        "brand": 63174,
        "category_id": 4689,
        "cost": 100000.0,
        "count_linked": 0,
        "created_time": 1785256482.0,
        "currency": "VND",
        "declared_value": 100000.0,
        "description": "<div>\"></div>",
        "eta_of_purchase": 16,
        "images": [
            "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/aa23d0f438e10ffbe14c7a31fc058cf5.png",
            "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/db0e03e9d4444e368479968fed165a4f.png",
            "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/c3746858f48fbe852b3c536c99b71886.png",
            "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/d3ad81ffb93337341ecdc3ffcd14e77b.png",
            "https://storage.googleapis.com/omisell-cloud/uploads/1/file/vn/42aa7f16e43eada2354517be0269905c.png"
        ],
        "is_active": true,
        "is_bulky": true,
        "is_customize_packaging": 1,
        "is_dropship": false,
        "is_hide_name": false,
        "is_serial_number": 1,
        "last_active_time": 0.0,
        "min_quantity": 4,
        "name": "\"><script>alert(123)</script>",
        "options": [],
        "platforms": [],
        "price_by_2week": 0,
        "sale_price": 100000.0,
        "product_id": 2826176,
        "product_type": "physical",
        "product_validation": null,
        "reserved_by_flashsale": 0,
        "sku": "\"><script>alert(123)</script>",
        "esku": "ERP-1001",
        "stock": 0,
        "stock_approve_shipment": 0,
        "stock_buffer": 0,
        "stock_committed": 0,
        "stock_incoming": 0,
        "stock_on_hand": 0,
        "stock_on_shipment": 0,
        "tag": "\"><script>alert(123)</script>",
        "tax": 10.0,
        "unit": 75745,
        "updated_time": 1785420670.0,
        "value_by_2week": 0,
        "variants": [],
        "vendor_id": null,
        "vendor_product_id": null,
        "vendor_product_sku": null,
        "volume": "2x1x1",
        "weight": 10,
        "brand_name": "Panasonic",
        "unit_name": "CΓ‘i"
    },
    "error": false,
    "error_code": 200,
    "attr_error": null,
    "messages": "",
    "request_id": "6a7e9da0dc03ba7aa93665aa"
}
Modified atΒ 2026-09-14 08:21:20
Previous
Get Product List
Next
Get Product Detail
Built with